org.springframework.batch.core.jsr.step.builder

## Class JsrPartitionStepBuilder

- java.lang.Object
- - org.springframework.batch.core.step.builder.StepBuilderHelper<PartitionStepBuilder>
  - - org.springframework.batch.core.step.builder.PartitionStepBuilder
    - - org.springframework.batch.core.jsr.step.builder.JsrPartitionStepBuilder

-     public class JsrPartitionStepBuilder
      extends PartitionStepBuilder

  An extension of the `PartitionStepBuilder` that uses `PartitionStep` so that JSR-352 specific semantics are honored.
  Since:
    3.0
  Author:
    Michael Minella

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.batch.core.step.builder.StepBuilderHelper

      `StepBuilderHelper.CommonStepProperties`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.batch.core.step.builder.StepBuilderHelper

      `logger, properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsrPartitionStepBuilder(StepBuilderHelper<?> parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Step` | `build()`
    `JsrPartitionStepBuilder` | `reducer(javax.batch.api.partition.PartitionReducer reducer)`
    `JsrPartitionStepBuilder` | `step(Step step)` Provide an actual step instance to execute in parallel.

    - ### Methods inherited from class org.springframework.batch.core.step.builder.PartitionStepBuilder

      `aggregator, getAggregator, getGridSize, getPartitioner, getPartitionHandler, getSplitter, getStep, getStepName, getTaskExecutor, gridSize, partitioner, partitionHandler, splitter, taskExecutor`

    - ### Methods inherited from class org.springframework.batch.core.step.builder.StepBuilderHelper

      `allowStartIfComplete, enhance, getJobRepository, getName, getTransactionManager, isAllowStartIfComplete, listener, listener, repository, startLimit, transactionManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsrPartitionStepBuilder

          public JsrPartitionStepBuilder(StepBuilderHelper<?> parent)

      Parameters:
        `parent` - parent step builder for basic step properties

  - ### Method Detail

    - #### reducer

          public JsrPartitionStepBuilder reducer(javax.batch.api.partition.PartitionReducer reducer)

      Parameters:
        `reducer` - used to provide a single callback at the beginning and end of a partitioned step.
      Returns:
        this

    - #### step

          public JsrPartitionStepBuilder step(Step step)

      Description copied from class: `PartitionStepBuilder`
      Provide an actual step instance to execute in parallel. If an explicit `PartitionStepBuilder.partitionHandler(PartitionHandler)` is provided, the step is optional and is only used to extract configuration data (name and other basic properties of a step).
      Overrides:
        `step` in class `PartitionStepBuilder`
      Parameters:
        `step` - a step to execute in parallel
      Returns:
        this for fluent chaining

    - #### build

          public Step build()

      Overrides:
        `build` in class `PartitionStepBuilder`